function MasterScriptJustFigures
% Just generate figures and any results quoted in the paper
%

% Author: R.F. Murphy
% Created: 11-Jan-2010
% Last Update: 14-Jan-2010
%
% Copyright (C) 2008-2010 Murphy Lab, Carnegie Mellon University
%
% This program is free software; you can redistribute it and/or modify
% it under the terms of the GNU General Public License as published
% by the Free Software Foundation; either version 2 of the License,
% or (at your option) any later version.
%
% This program is distributed in the hope that it will be useful, but
% WITHOUT ANY WARRANTY; without even the implied warranty of
% MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
% General Public License for more details.
%
% You should have received a copy of the GNU General Public License
% along with this program; if not, write to the Free Software
% Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA
% 02110-1301, USA.
%
% For additional information visit http://murphylab.web.cmu.edu or
% send email to murphy@cmu.edu


%% check that the intermediate results files are present
blockIndex = 2;

resultpath = ['./inter_results/block' int2str(blockIndex)];
if ~exist(resultpath,'dir')
    error('The intermediate results files cannot be found - please download them into ./inter_results or regenerate them.');
end

%% Initialize paths
addpath(genpath('./functions'));
addpath(genpath('./functions/SLIC'));
addpath(genpath('./functions/tztoolbox'));
addpath(genpath('./functions/externalFunctions'));
YesFeatureReady = true;

%% Generate figures
gnf_genfigs(blockIndex);
