function gnf_LOOCVerrortest(N)
% Run cross validation on each training fold to learn the distribution of
% unmixing error on this fold
% N : cross validation fold index
%
% Author: T. Peng
% Created: 15-Apr-2009
% Last Update: 23-Dec-2009
%
% Copyright (C) 2008-2010 Murphy Lab, Carnegie Mellon University
%
% This program is free software; you can redistribute it and/or modify
% it under the terms of the GNU General Public License as published
% by the Free Software Foundation; either version 2 of the License,
% or (at your option) any later version.
%
% This program is distributed in the hope that it will be useful, but
% WITHOUT ANY WARRANTY; without even the implied warranty of
% MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
% General Public License for more details.
%
% You should have received a copy of the GNU General Public License
% along with this program; if not, write to the Free Software
% Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA
% 02110-1301, USA.
%
% For additional information visit http://murphylab.web.cmu.edu or
% send email to murphy@cmu.edu

modelpath = './inter_results/T2/xmodels';
tunepath = './inter_results/T2/tune';
if ~exist(tunepath,'dir')
    mkdir(tunepath)
end

[X,Y] = meshgrid([1,3],1:7);
wells = [Y(:),X(:)];

for i = N
    xvalfolds = 1:7;
    xvalfolds(i) = [];
    Funmixerr = cell(12,1);
    Nunmixerr = cell(12,1);
    for j = 1:6
        disp(['[' num2str(i) ', ' num2str(xvalfolds(j)) ']'])
        if i < xvalfolds(j)
            modelname = sprintf('%s/y_%d_%d.mat',modelpath,i,xvalfolds(j));
        else
            modelname = sprintf('%s/y_%d_%d.mat',modelpath,xvalfolds(j),i);
        end
        load(modelname)
        testidx = [xvalfolds(j),xvalfolds(j)+7];
        testwells = wells(testidx,:);
        for t = 1:2
            [Funmixerr{j+(t-1)*6},Nunmixerr{j+(t-1)*6}] = ...
                gnf_unmixerrortest(model,testwells(t,:),5);
        end
    end
    Ferr = [];
    Ferr2 = [];
    Nerr = [];
    Nerr2 = [];
    for k = 1:12
        Ferr = [Ferr;sum(abs(Funmixerr{k}),2)];
        Ferr2 = [Ferr2;sqrt(sum((Funmixerr{k}).^2,2))];
        Nerr = [Nerr;sum(abs(Nunmixerr{k}),2)];
        Nerr2 = [Nerr2;sqrt(sum((Nunmixerr{k}).^2,2))];
    end
    save([tunepath '/errCDF',num2str(i),'.mat'],'Ferr','Ferr2','Nerr','Nerr2');
end