function gnf_LOOCVt1test_sub(F,T1)
% Run cross validation to generate confidence-leve vs. accuracy level curve
%
% Author: T. Peng
% Created: 15-Apr-2009
% Last Update: 23-Dec-2009
%
% Copyright (C) 2008-2010 Murphy Lab, Carnegie Mellon University
%
% This program is free software; you can redistribute it and/or modify
% it under the terms of the GNU General Public License as published
% by the Free Software Foundation; either version 2 of the License,
% or (at your option) any later version.
%
% This program is distributed in the hope that it will be useful, but
% WITHOUT ANY WARRANTY; without even the implied warranty of
% MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
% General Public License for more details.
%
% You should have received a copy of the GNU General Public License
% along with this program; if not, write to the Free Software
% Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA
% 02110-1301, USA.
%
% For additional information visit http://murphylab.web.cmu.edu or
% send email to murphy@cmu.edu

if nargin < 2
    T1 = fliplr([0,5*10.^(-8:.5:-5),.0001,.00015,5*10.^(-4.5),...
        .0002:.00005:.0005,.002:.002:.1]);
end

modelpath = './inter_results/T1/xmodels';
tunepath = './inter_results/T1/tune';
if ~exist(tunepath,'dir')
    mkdir(tunepath)
end

[X,Y] = meshgrid(8,1:7);
wells = [X,Y;Y,X];
groundtruth = [ones(7,1),zeros(7,1);zeros(7,1),ones(7,1)];
groundtruth(:,end+1) = 0;

for i = 1:length(F)
    xvalfolds = 1:7;
    xvalfolds(i) = [];
    unmixerr = zeros(12,1);
    for k = 1:length(T1)
        for j = 1:6
            if i < xvalfolds(j)
                modelname = sprintf('%s/x_%d_%d.mat',...
                    modelpath,i,xvalfolds(j));
            else
                modelname = sprintf('%s/x_%d_%d.mat',...
                    modelpath,xvalfolds(j),i);
            end
            load(modelname)
            testidx = [xvalfolds(j),xvalfolds(j)+7];
            testwells = wells(testidx,:);
            testtruth = groundtruth(testidx,:);
            for t = 1:2
                unmixerr(j+(t-1)*6) = gnf_t1test...
                    (model,2,testwells(t,:),testtruth(t,:),T1(k),5,0);
            end
        end
        accurtable(i,k) = mean(unmixerr);
    end
end

for i = 1:length(F)
    avgaccur = accurtable(i,:);
    save([tunepath '/t1tune_',num2str(F(i)),'.mat'],'avgaccur','T1');
end
