function gnf_LOOCVtrain2(I)
% Train unmixing model on each fold of training images
% I - fold index
%
% Author: T. Peng
% Created: 15-Apr-2009
% Last Update: 23-Dec-2009
%
% Copyright (C) 2008-2010 Murphy Lab, Carnegie Mellon University
%
% This program is free software; you can redistribute it and/or modify
% it under the terms of the GNU General Public License as published
% by the Free Software Foundation; either version 2 of the License,
% or (at your option) any later version.
%
% This program is distributed in the hope that it will be useful, but
% WITHOUT ANY WARRANTY; without even the implied warranty of
% MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
% General Public License for more details.
%
% You should have received a copy of the GNU General Public License
% along with this program; if not, write to the Free Software
% Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA
% 02110-1301, USA.
%
% For additional information visit http://murphylab.web.cmu.edu or
% send email to murphy@cmu.edu

featpath = './inter_results/features/MitoLysoER';
modelpath = './inter_results/T2/model';
if ~exist(modelpath,'dir')
    mkdir(modelpath)
end

[X,Y] = meshgrid([1,3],1:7);
wells = [Y(:),X(:)];
pattern = [2*ones(7,1);ones(7,1)];

% Train LOOCV models
for i = I
    testidx = [i,i+7]; 
    trainidx = (1:14)';
    trainidx(testidx) = [];
    trainwells = wells(trainidx,:);
    trainpattern = pattern(trainidx);
    model = gnf_modeltraining2(5,featpath,trainwells,trainpattern);
    save([modelpath '/model',num2str(i),'.mat'],'model')
end