function gnf_LOOCVtrain_sub(N,M)
% Train leave-one-out mixing models in each training fold for T1 tuning
%
% Author: T. Peng
% Created: 15-Apr-2009
% Last Update: 23-Dec-2009
%
% Copyright (C) 2008-2010 Murphy Lab, Carnegie Mellon University
%
% This program is free software; you can redistribute it and/or modify
% it under the terms of the GNU General Public License as published
% by the Free Software Foundation; either version 2 of the License,
% or (at your option) any later version.
%
% This program is distributed in the hope that it will be useful, but
% WITHOUT ANY WARRANTY; without even the implied warranty of
% MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
% General Public License for more details.
%
% You should have received a copy of the GNU General Public License
% along with this program; if not, write to the Free Software
% Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA
% 02110-1301, USA.
%
% For additional information visit http://murphylab.web.cmu.edu or
% send email to murphy@cmu.edu

featpath = './inter_results/features/MitoLyso/prot';
modelpath = './inter_results/T1/xmodels';
if ~exist(modelpath,'dir')
    mkdir(modelpath)
end

[X,Y] = meshgrid(8,1:7);
wells = [X,Y;Y,X];
pattern = [ones(7,1);2*ones(7,1)];

% Train LOOCV models
for i = N
    for j = M
        if i~=j
            testidx = [i,i+7,j,j+7];
            trainidx = (1:14)';
            trainidx(testidx) = [];
            trainwells = wells(trainidx,:);
            trainpattern = pattern(trainidx);
            model = gnf_modeltraining(5,featpath,2,trainwells,trainpattern);
            save([modelpath '/x_',num2str(i),'_',num2str(j),'.mat'],'model')
        end
    end
end
