function gnf_MLEfeats(R,C)
% Calculate features needed for Mito-Lyso-ER images for pattern level
% outlier analysis
%
% Author: T. Peng
% Created: 15-Apr-2009
% Last Update: 23-Dec-2009
%
% Copyright (C) 2008-2010 Murphy Lab, Carnegie Mellon University
%
% This program is free software; you can redistribute it and/or modify
% it under the terms of the GNU General Public License as published
% by the Free Software Foundation; either version 2 of the License,
% or (at your option) any later version.
%
% This program is distributed in the hope that it will be useful, but
% WITHOUT ANY WARRANTY; without even the implied warranty of
% MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
% General Public License for more details.
%
% You should have received a copy of the GNU General Public License
% along with this program; if not, write to the Free Software
% Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA
% 02110-1301, USA.
%
% For additional information visit http://murphylab.web.cmu.edu or
% send email to murphy@cmu.edu

impath = './images/MitoLysoER';
featpath = './inter_results/features/MitoLysoER';
if ~exist(featpath,'dir')
    mkdir(featpath);
end

for r = R
    for c = C
        disp(['calculating ' num2str(r) ',' num2str(c)]);
        imfolder = sprintf('%s/%03d%03d000/',impath,r,c);
        if exist(imfolder,'dir')
            folder = sprintf('%s/%03d%03d',featpath,r,c);
            if ~exist(folder,'dir')
                mkdir(folder);
            end            
            for k = 1:35
                disp(['image' num2str(k)]);
                filename = [folder '/feat' num2str(k) '.mat'];
                if ~exist(filename,'file')
                    [objfeat,objfluo,cellnum] = ...
                        gnf_objfeat2(impath,[r,c],2*k-2);
                    if ~isempty(objfeat)
                        save(filename,'objfeat','objfluo','cellnum');
                    end
                end
            end
        end
    end
end