function gnf_allDNAfeats(I,J,p)
% Calculate features of all DNA images by the well index
%
% Author: T. Peng
% Created: 15-Apr-2009
% Last Update: 23-Dec-2009
%
% Copyright (C) 2008-2010 Murphy Lab, Carnegie Mellon University
%
% This program is free software; you can redistribute it and/or modify
% it under the terms of the GNU General Public License as published
% by the Free Software Foundation; either version 2 of the License,
% or (at your option) any later version.
%
% This program is distributed in the hope that it will be useful, but
% WITHOUT ANY WARRANTY; without even the implied warranty of
% MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
% General Public License for more details.
%
% You should have received a copy of the GNU General Public License
% along with this program; if not, write to the Free Software
% Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA
% 02110-1301, USA.
%
% For additional information visit http://murphylab.web.cmu.edu or
% send email to murphy@cmu.edu

path = './images/MitoLyso';
featpath = './inter_results/features/MitoLyso/DNA';
if ~exist(featpath,'dir')
    mkdir(featpath);
end

for i = I
    for j = J
        [r,c] = gnf_idxconvert(i,j,p);
        disp(['calculating ' num2str(p) num2str(i) num2str(j)]);
        imfolder = sprintf('%s/%03d%03d000/',path,r,c);
        if exist(imfolder,'dir')
            folder = sprintf('%s/%d%d%d',featpath,p,i,j);
            if ~exist(folder,'dir')
                mkdir(folder);
            end
            for k = 2:2:70
                disp(['image ' num2str(k/2)]);
                filename = [folder '/feat' num2str(k/2) '.mat'];
                if ~exist(filename,'file')
                    [objfeat,objfluo,cellnum] = gnf_DNAobjfeat(path,[i,j,p],k);
                    save(filename,'objfeat','objfluo');
                end
            end
        end
    end
end
