function gnf_allfeats(I,J,P,featpath)
% Calculate features of all protein images by the well index
%
% Author: T. Peng
% Created: 12-Apr-2008
% Last Update: 23-Dec-2009
%
% Copyright (C) 2008-2010 Murphy Lab, Carnegie Mellon University
%
% This program is free software; you can redistribute it and/or modify
% it under the terms of the GNU General Public License as published
% by the Free Software Foundation; either version 2 of the License,
% or (at your option) any later version.
%
% This program is distributed in the hope that it will be useful, but
% WITHOUT ANY WARRANTY; without even the implied warranty of
% MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
% General Public License for more details.
%
% You should have received a copy of the GNU General Public License
% along with this program; if not, write to the Free Software
% Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA
% 02110-1301, USA.
%
% For additional information visit http://murphylab.web.cmu.edu or
% send email to murphy@cmu.edu

impath = './images/MitoLyso';
if nargin < 4
    featpath = './inter_results/features/MitoLyso/prot';
end

if ~exist(featpath,'dir')
    mkdir(featpath);
end

for p = P
    for i = I
        for j = J
            disp(['calculating ' num2str(100*p+10*i+j)]);
            [r,c] = gnf_idxconvert(i,j,p);
            imfolder = sprintf('%s/%03d%03d000/',impath,r,c);
            if exist(imfolder,'dir')
                folder = [featpath '/well' num2str(100*p+10*i+j)];
                if ~exist(folder,'dir')
                    mkdir(folder);
                end
                for k = 1:2:69
                    disp(['image' num2str((k+1)/2)]);
                    filename = [folder '/feat' num2str((k+1)/2) '.mat'];
                    if ~exist(filename,'file')
                        [objfeat,objfluo] = ...
                            gnf_objfeat(impath,[i,j,p],k);
                        if ~isempty(objfeat)
                            save(filename,'objfeat','objfluo');
                        end
                    end
                end
            end
        end
    end
end