function gnf_drugtreatplot
% Load result of drug data analysis and visualize it 
%
% Author: T. Peng
% Created: 15-Apr-2009
% Last Update: 23-Dec-2009
%
% Copyright (C) 2008-2010 Murphy Lab, Carnegie Mellon University
%
% This program is free software; you can redistribute it and/or modify
% it under the terms of the GNU General Public License as published
% by the Free Software Foundation; either version 2 of the License,
% or (at your option) any later version.
%
% This program is distributed in the hope that it will be useful, but
% WITHOUT ANY WARRANTY; without even the implied warranty of
% MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
% General Public License for more details.
%
% You should have received a copy of the GNU General Public License
% along with this program; if not, write to the Free Software
% Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA
% 02110-1301, USA.
%
% For additional information visit http://murphylab.web.cmu.edu or
% send email to murphy@cmu.edu

load('./inter_results/Drug/unmixingresult.mat')
fz_str = 6;
fz_num = 6;
dpi = 600;

t = 50./3.^(1:10);
for i = 1:10
    frac(i,1)=alpha{i}{1}(1);
    frac(i,2)=alpha{i}{2}(1);
    frac(i,3)=alpha{i}{3}(1);
end

semilogx(t,frac(:,1),'k-s','MarkerSize',3,'MarkerFaceColor','k')
hold on
semilogx(t,frac(:,2),'k-o','MarkerSize',3,'MarkerFaceColor','k')
semilogx(t,frac(:,3),'k-^','MarkerSize',3,'MarkerFaceColor','k')
% semilogx(t,frac(:,4),'k-d','MarkerSize',3,'MarkerFaceColor','k')
% legend('Obj num linear','Obj num multinomial','Fluo frac','w/ non obj','Location','SouthEast')
xlabel('Bafilomycin concentration','fontsize',fz_str)
ylabel('Max-drug pattern fraction','fontsize',fz_str)
set(gca,'fontsize',fz_num)