function [image,factor] = gnf_getimage(path,well,idx)
% Load an image from a certain well with factor
%
% Author: T. Peng
% Created: 12-Apr-2008
% Last Update: 23-Dec-2009
%
% Copyright (C) 2008-2010 Murphy Lab, Carnegie Mellon University
%
% This program is free software; you can redistribute it and/or modify
% it under the terms of the GNU General Public License as published
% by the Free Software Foundation; either version 2 of the License,
% or (at your option) any later version.
%
% This program is distributed in the hope that it will be useful, but
% WITHOUT ANY WARRANTY; without even the implied warranty of
% MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
% General Public License for more details.
%
% You should have received a copy of the GNU General Public License
% along with this program; if not, write to the Free Software
% Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA
% 02110-1301, USA.
%
% For additional information visit http://murphylab.web.cmu.edu or
% send email to murphy@cmu.edu

if path(end)~=filesep
    path = [path filesep];
end
i = well(1);
j = well(2);
p = well(3);

[r,c] = gnf_idxconvert(i,j,p);
wellName = sprintf('%03d%03d000/',r,c);
imageName = sprintf('%sStack-%05d.bmp',wellName,idx);
filename = strcat(path,imageName);
if exist(filename,'file')
    image = imread(filename,'bmp');
    load([path wellName 'factors.mat']);
    factor = factors(idx);
else
    error('Image does not exist.');
end