function [feats,cytofluo,imid] = gnf_loadwellfeats(wellid,featpath)
%GNF_LOADWELLFEAT load all object features calculated from images in a
%specific well
%
% Author: T. Peng
% Created: 15-Apr-2009
% Last Update: 23-Dec-2009
%
% Copyright (C) 2008-2010 Murphy Lab, Carnegie Mellon University
%
% This program is free software; you can redistribute it and/or modify
% it under the terms of the GNU General Public License as published
% by the Free Software Foundation; either version 2 of the License,
% or (at your option) any later version.
%
% This program is distributed in the hope that it will be useful, but
% WITHOUT ANY WARRANTY; without even the implied warranty of
% MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
% General Public License for more details.
%
% You should have received a copy of the GNU General Public License
% along with this program; if not, write to the Free Software
% Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA
% 02110-1301, USA.
%
% For additional information visit http://murphylab.web.cmu.edu or
% send email to murphy@cmu.edu

if ~exist('featpath','var') || isempty(featpath)
    featpath = './inter_results/features/DrugTreat';
end

i = wellid(1);
j = wellid(2);

objfeat = [];
cytofluo = [];
featfile = sprintf('%s/%03d%03d000.mat',featpath,i,j);
load(featfile)

nimages = length(cytofluo);
feats = [];
imid = [];
imcount = 0;
for i = 1:nimages
    imobjfeat = objfeat{i};
    if ~isempty(imobjfeat)
        imcount = imcount + 1;
        imid = [imid;imcount*ones(size(imobjfeat,1),1)];
        feats = [feats;imobjfeat];
    end
end