function gnf_loocvrmobjtypes
% Tune the threshold T to remove non-discriminative object types
%
% Author: T. Peng
% Created: 10-Sep-2009
% Last Update: 23-Dec-2009
%
% Copyright (C) 2008-2010 Murphy Lab, Carnegie Mellon University
%
% This program is free software; you can redistribute it and/or modify
% it under the terms of the GNU General Public License as published
% by the Free Software Foundation; either version 2 of the License,
% or (at your option) any later version.
%
% This program is distributed in the hope that it will be useful, but
% WITHOUT ANY WARRANTY; without even the implied warranty of
% MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
% General Public License for more details.
%
% You should have received a copy of the GNU General Public License
% along with this program; if not, write to the Free Software
% Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA
% 02110-1301, USA.
%
% For additional information visit http://murphylab.web.cmu.edu or
% send email to murphy@cmu.edu

featpath = './inter_results/features/MitoLyso/prot';
modelpath = './inter_results/T1/model';

alphatest = cell(7,7,7);
for i = 1:7
    load([modelpath '/model' num2str(i)]);
    wells = [8,i;i,8];
    alpha{i} = gnf_rmobjtypes(model,5,featpath,2,wells);
    for r = 1:7
        for c = 1:7
            alphatest{i,r,c} = gnf_rmobjtypes(model,5,featpath,2,[r,c]);
        end
    end
end

save('./inter_results/block2/tunermobjT.mat','alpha','alphatest')