function gnf_resulteval
% Use model power to evaluate all the models trained
%
% Author: T. Peng
% Created: 10-Sep-2009
% Last Update: 23-Dec-2009
%
% Copyright (C) 2008-2010 Murphy Lab, Carnegie Mellon University
%
% This program is free software; you can redistribute it and/or modify
% it under the terms of the GNU General Public License as published
% by the Free Software Foundation; either version 2 of the License,
% or (at your option) any later version.
%
% This program is distributed in the hope that it will be useful, but
% WITHOUT ANY WARRANTY; without even the implied warranty of
% MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
% General Public License for more details.
%
% You should have received a copy of the GNU General Public License
% along with this program; if not, write to the Free Software
% Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA
% 02110-1301, USA.
%
% For additional information visit http://murphylab.web.cmu.edu or
% send email to murphy@cmu.edu

%% Model 1: Mito-Lyso mixture model
modelname = 'inter_results/block2/objectdistri.mat';
load(modelname)
objhist = squeeze(mean(objnumdistr));
objhist = gnf_normalize(objhist,2);
P = gnf_modelpower(objhist);
disp(['Power of Mito-Lyso mixture model by object frequency = ' num2str(P)])
objhist = squeeze(mean(objfluodistr));
objhist = gnf_normalize(objhist,1);
P = gnf_modelpower(objhist);
disp(['Power of Mito-Lyso mixture model by fluorescence fraction = ' num2str(P)])


%% Model 2: Drug treated protein: max-drug vs. non-drug mixture model
modelname = './inter_results/Drug/trainresult.mat';
load(modelname)
P = gnf_modelpower(objdistr.objnumfrac);
disp(['Power of max/non drug teatment mixture model by object frequency = ' num2str(P)])
P = gnf_modelpower(objdistr.objfluofrac);
disp(['Power of max/non drug teatment mixture model by fluorescence fraction  = ' num2str(P)])
