function gnf_unmixMitoLyso(blockIndex,featready)
% Analyze mito-lyso mixture date by unmixing
%
% Author: T. Peng
% Created: 12-Apr-2008
% Last Update: 10-Jan-2010
%
% Copyright (C) 2008-2010 Murphy Lab, Carnegie Mellon University
%
% This program is free software; you can redistribute it and/or modify
% it under the terms of the GNU General Public License as published
% by the Free Software Foundation; either version 2 of the License,
% or (at your option) any later version.
%
% This program is distributed in the hope that it will be useful, but
% WITHOUT ANY WARRANTY; without even the implied warranty of
% MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
% General Public License for more details.
%
% You should have received a copy of the GNU General Public License
% along with this program; if not, write to the Free Software
% Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA
% 02110-1301, USA.
%
% For additional information visit http://murphylab.web.cmu.edu or
% send email to murphy@cmu.edu

%% Object feature calculation
featpath = './inter_results/features/MitoLyso/prot';
if ~featready
    rowIndex = 1:8;
    colIndex = 1:8;
    if nargin < 1
        blockIndex = 2;
    end
    gnf_allfeats(rowIndex,colIndex,blockIndex,featpath);
end

%% Learning object types and fluorescence-concentration coefficients
noisethresh = 5;
objectlearned = gnf_objectlearn(noisethresh,featpath,blockIndex);

%% Unmixing mixed pattern images
[alpha,concentration] = gnf_unmixing([],noisethresh,featpath,blockIndex,1);

%% Data not shown: remove non-discriminative object types
alpha = gnf_rmsimobjalys(noisethresh,featpath,2);

%% remove top level temporary file directory
rmdir(['./inter_results/block' int2str(blockIndex) '/tmp'],'s')
