function gnf_wellfeats(I,J)
%GNF_WELLFEATS calculates features in specific wells
%
% Author: T. Peng
% Created: 15-Apr-2009
% Last Update: 23-Dec-2009
%
% Copyright (C) 2008-2010 Murphy Lab, Carnegie Mellon University
%
% This program is free software; you can redistribute it and/or modify
% it under the terms of the GNU General Public License as published
% by the Free Software Foundation; either version 2 of the License,
% or (at your option) any later version.
%
% This program is distributed in the hope that it will be useful, but
% WITHOUT ANY WARRANTY; without even the implied warranty of
% MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
% General Public License for more details.
%
% You should have received a copy of the GNU General Public License
% along with this program; if not, write to the Free Software
% Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA
% 02110-1301, USA.
%
% For additional information visit http://murphylab.web.cmu.edu or
% send email to murphy@cmu.edu

imgpath = './images/Drug';
featpath = './inter_results/features/DrugTreat';
if ~exist(featpath,'dir')
    mkdir(featpath)
end

Nimgs = 18;
WDsize = 11;

if ~exist(featpath,'dir')
    mkdir(featpath);
end

for i = I
    for j = J
        objfeat = cell(1,Nimgs);
        cytofluo = zeros(1,Nimgs);
        disp(['calculating features of cells in well '...
            int2str(i) '-' int2str(j)]);
        imfolder = sprintf('%s/%03d%03d000/',imgpath,i,j);
        if exist(imfolder,'dir')
            featfile = sprintf('%s/%03d%03d000.mat',featpath,i,j);
            if ~exist(featfile,'file')
                for k = 1:Nimgs
                    disp(['well ' int2str(i) ...
                        '-' int2str(j) ' image ' num2str(k)]);
                    protimg = gnf_loadimage(imgpath,[i j],2*(k-1));
                    [objfeat{k},cytofluo(k)] = gnf_drugimfeat(protimg,WDsize);
                end
            end
            save(featfile,'objfeat','cytofluo');
        end
    end
end
            