function show_object(x,y,gray,iwide,ihigh)
% Show object image
%
% Author: R.F. Murphy
% Created: 22-Jun-2008
% Last Update: 23-Dec-2009
%
% Copyright (C) 2008-2010 Murphy Lab, Carnegie Mellon University
%
% This program is free software; you can redistribute it and/or modify
% it under the terms of the GNU General Public License as published
% by the Free Software Foundation; either version 2 of the License,
% or (at your option) any later version.
%
% This program is distributed in the hope that it will be useful, but
% WITHOUT ANY WARRANTY; without even the implied warranty of
% MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
% General Public License for more details.
%
% You should have received a copy of the GNU General Public License
% along with this program; if not, write to the Free Software
% Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA
% 02110-1301, USA.
%
% For additional information visit http://murphylab.web.cmu.edu or
% send email to murphy@cmu.edu

if iwide>0 & ihigh>0
    img=zeros(iwide,ihigh);
    offsetx=min(x)-floor((iwide-(max(x)-min(x)+1))/2)-1;
    offsety=min(y)-floor((ihigh-(max(y)-min(y)+1))/2)-1;
else
    img=zeros(max(x)-min(x)+1,max(y)-min(y)+1);
    offsetx=min(x)-1;
    offsety=min(y)-1;
end
for i=1:length(x)
   img(x(i)-offsetx,y(i)-offsety)=gray(i);
end
imshow(img,[min(min(img)) max(max(img))]);
%imagesc(img,[min(min(img)) max(max(img))]);
colormap(jet);
