function make_figure_example_objects_median
% find the "median object" for each type of object and show it
%

% Author: R.F. Murphy
% Created: 22-Jun-2008
% Last Update: 14-Jan-2010
%
% Copyright (C) 2008-2010 Murphy Lab, Carnegie Mellon University
%
% This program is free software; you can redistribute it and/or modify
% it under the terms of the GNU General Public License as published
% by the Free Software Foundation; either version 2 of the License,
% or (at your option) any later version.
%
% This program is distributed in the hope that it will be useful, but
% WITHOUT ANY WARRANTY; without even the implied warranty of
% MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
% General Public License for more details.
%
% You should have received a copy of the GNU General Public License
% along with this program; if not, write to the Free Software
% Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA
% 02110-1301, USA.
%
% For additional information visit http://murphylab.web.cmu.edu or
% send email to murphy@cmu.edu

%% check that the file containing object coordinates is present
block = 2;

resultpath = ['./inter_results/block' int2str(block)];

objcfile = [resultpath '/objcoordinfo.mat'];

if ~exist(objcfile,'file')
    error('The intermediate results files cannot be found - please download them into ./inter_results or regenerate them.');
end
load(objcfile);

% just need the show_object function from this directory
addpath(genpath('./functions'));

%% first generate figure with all objects at the same scale
figure(1);
%choose dimensions for figure to fit all objects
nwide=ceil(sqrt(best_ncluster));
nhigh=floor((best_ncluster+nwide-1)/nwide);
iwide=max(sizekeep(1,:)); ihigh=max(sizekeep(2,:));
for i=1:best_ncluster
    subplot(nwide,nhigh,i)
    show_object(coordskeep{i}(:,1),coordskeep{i}(:,2),coordskeep{i}(:,3),iwide,ihigh)
end

%% now generate figure with each object filling its panel
figure(2);
iwide=0; ihigh=0;
for i=1:best_ncluster
    subplot(nwide,nhigh,i)
    show_object(coordskeep{i}(:,1),coordskeep{i}(:,2),coordskeep{i}(:,3),iwide,ihigh)
end


